How to retrieve a list of safety cameras
This section provides an example of a request for a list of all static safety cameras in the Netherlands.
Note
Each request requires authentication with a valid bearer token in the HTTP authorization header. For more information about obtaining credentials, see the Identity and Access Management - Developer Guide.
Sample request
The following code blocks provide the complete request:
GET /alerts/v1/data/static/NLD HTTP/1.1
Host: safetycameras.cit.cc.api.here.com
Authorization: Bearer eyJhbGceOyJSAMPLEiIsImN0eSISAMPLEt7VTFIllwIM0cKNCjN2WCCTqlwEEmk-t3gx1BpqUFoeBSAMPLEvhj8nl-RBGcyoljY...
Cache-Control: no-cache
Accept: application/jsonGET /v2/live/NLD HTTP/1.1
Host: safetycameras.cit.cc.api.here.com
Authorization: Bearer eyJhbGceOyJSAMPLEiIsImN0eSISAMPLEt7VTFIllwIM0cKNCjN2WCCTqlwEEmk-t3gx1BpqUFoeBSAMPLEvhj8nl-RBGcyoljY...
Cache-Control: no-cache
Accept: application/jsonSample response
The HTTP status code is 200 and the response contains a list of safety cameras, where each camera has its own unique id, location, and type, alongside other properties as defined in Response data types. The following is a static camera response:
{
"safetyCameras":[
{
"id":"54002_NLD",
"country":"NLD",
"positions":[
{
"latitude":51.3101234436035,
"longitude":3.45727205276489,
"drivingDirection":236
}
],
"cameraType":"Speed",
"speedLimit":{
"value":80,
"unit":"KPH"
},
"directionType":"Same",
"openLR":[
"CC8BEAIrJgJ4WiR+LwAJBQQBA5QACgUEAZkYAPFP+YMACQUEAQMpAAAAQIszDAIBAA=="
]
},
{
"id":"47693_NLD",
"country":"NLD",
"positions":[
{
"latitude":51.4836845397949,
"longitude":3.6253833770752,
"drivingDirection":323
}
],
"cameraType":"RedLightAndSpeed",
"speedLimit":{
"value":50,
"unit":"KPH"
},
"directionType":"Same",
"openLR":[
"CC8BEAIrJgKUhSSb5gAJBQQCAtoACgUEAoJbAP7PAPYACQUEAgJnAAAAQIJKDAIBAA=="
]
},
{
"id":"49265_NLD",
"country":"NLD",
"positions":[
{
"latitude":51.4539464176021,
"longitude":3.58682143688202,
"drivingDirection":107
}
],
"cameraType":"RedLightAndSpeed",
"speedLimit":{
"value":50,
"unit":"KPH"
},
"directionType":"Same",
"openLR":[
"CC0BEAIpJAKMqSSW9QAJBQQDAkQACgQDA3oAAKn/4wAJBQQDAswAAABAeAwCAQA="
]
},
{
"id":"49493_NLD",
"country":"NLD",
"positions":[
{
"latitude":51.4966083173928,
"longitude":3.52024605870247,
"drivingDirection":333
}
],
"cameraType":"RedLightAndSpeed",
"speedLimit":{
"value":80,
"unit":"KPH"
},
"directionType":"Same",
"openLR":[
"CC8BEAIrJgKBBiSedAAJBQQCAvEACgUEAoEsAP+RAIoACQUEAgJsAAAAQIEYDAIBAA=="
]
},
{
"id":"49494_NLD",
"country":"NLD",
"positions":[
{
"latitude":51.4745507893016,
"longitude":3.59832465648651,
"drivingDirection":18
}
],
"cameraType":"RedLightAndSpeed",
"speedLimit":{
"value":80,
"unit":"KPH"
},
"directionType":"Same",
"openLR":[
"CC8BEAIrJgKN9iSYjwAJBQQCAgsACgUEAopcAAJhBJUACQUEAgKMAAAAQIpFDAIBAA=="
]
},
... (remaining safety cameras removed to shorten document)
]
}The following is a mobile camera response:
{
"safetyCameras":[
{
"id":"AAAAAACF1Zg_NLD",
"country":"NLD",
"positions":[
{
"latitude":51.55712270177901,
"longitude":3.599589876830578,
"drivingDirection":168
}
],
"cameraType":"Mobile",
"directionType":"Same",
"length":{
"value":400,
"unit":"Meter"
},
"openLR":[
"CC4BEAIqJQKPQySpwwAJBQQBA3gACgUEAYxRAAJJ+oQACQUEAQP6AAAAQCwMAgEA"
],
"timestamp":"2019-05-14T13:06:18.193Z"
},
... (remaining safety cameras removed to shorten document)
]
}Updated last month